## jupyter-sphinx-theme 0.0.6+ds1

=== requirements.txt ===
sphinx==1.3.6
recommonmark==0.4.0
nbsphinx

=== debian/changelog ===
jupyter-sphinx-theme (0.0.6+ds1-2) unstable; urgency=medium

  * Team upload.
  * Don't add an extra symlink to jquery; sphinx already does it.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Dec 2016 17:26:27 +0100

jupyter-sphinx-theme (0.0.6+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #838798).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 27 Nov 2016 01:27:38 +0000

=== debian/control ===
Source: jupyter-sphinx-theme
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
Build-Depends-Indep: debhelper (>= 10),
                     dh-python,
                     libjs-bootstrap,
                     libjs-bootswatch,
                     libjs-jquery,
                     python-all,
                     python-nbsphinx,
                     python-recommonmark,
                     python-setuptools,
                     python-sphinx-bootstrap-theme,
                     python3-all,
                     python3-nbsphinx,
                     python3-recommonmark,
                     python3-setuptools
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: https://github.com/ipython/jupyter-sphinx-theme
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-sphinx-theme.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-sphinx-theme.git

Package: python-jupyter-sphinx-theme
Architecture: all
Depends: jupyter-sphinx-theme-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: jupyter-sphinx-theme-doc (= ${source:Version})
Description: Jupyter Sphinx Theme -- Python
 A Jupyter Sphinx theme for narrative documentation.
 .
 It integrates the Bootstrap CSS / JavaScript framework with various layout
 options, hierarchical menu navigation, and mobile-friendly responsive design.
 It is configurable, extensible and can use any number of different Bootswatch
 CSS themes.
 .
 This package contains the Python 2 version of the theme.

Package: python3-jupyter-sphinx-theme
Architecture: all
Depends: jupyter-sphinx-theme-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: jupyter-sphinx-theme-doc (= ${source:Version})
Description: Jupyter Sphinx Theme -- Python 3
 A Jupyter Sphinx theme for narrative documentation.
 .
 It integrates the Bootstrap CSS / JavaScript framework with various layout
 options, hierarchical menu navigation, and mobile-friendly responsive design.
 It is configurable, extensible and can use any number of different Bootswatch
 CSS themes.
 .
 This package contains the Python 3 version of the theme.

Package: jupyter-sphinx-theme-common
Architecture: all
Depends: libjs-bootstrap,
         libjs-bootswatch,
         libjs-jquery,
         python-sphinx-bootstrap-theme,
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter Sphinx Theme -- common files
 A Jupyter Sphinx theme for narrative documentation.
 .
 It integrates the Bootstrap CSS / JavaScript framework with various layout
 options, hierarchical menu navigation, and mobile-friendly responsive design.
 It is configurable, extensible and can use any number of different Bootswatch
 CSS themes.
 .
 This package contains the common files used by the theme.

Package: jupyter-sphinx-theme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-entrypoints,
            python-jupyter-sphinx-theme (= ${binary:Version}),
            texinfo,
            texlive-fonts-recommended,
            texlive-generic-extra,
            texlive-latex-extra,
            texlive-latex-recommended
Description: Jupyter Sphinx Theme -- documentation
 A Jupyter Sphinx theme for narrative documentation.
 .
 It integrates the Bootstrap CSS / JavaScript framework with various layout
 options, hierarchical menu navigation, and mobile-friendly responsive design.
 It is configurable, extensible and can use any number of different Bootswatch
 CSS themes.
 .
 This package contains the common documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jupyter-sphinx-theme

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs --package=python-jupyter-sphinx-theme  --link-doc=jupyter-sphinx-theme-common
	dh_installdocs --package=python3-jupyter-sphinx-theme --link-doc=jupyter-sphinx-theme-common
	dh_installdocs --remaining-packages

override_dh_compress-indep:
	dh_compress -Xexamples

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/tests/control ===
Tests: perform-demo
Depends: jupyter-sphinx-theme-doc
Restrictions: needs-recommends

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds1,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jupyter-sphinx-theme/jupyter-sphinx-theme-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
